Package org.eclipse.lemminx.services.extensions.diagnostics

## Class DiagnosticsResult

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<org.eclipse.lsp4j.Diagnostic>
      - - org.eclipse.lemminx.services.extensions.diagnostics.DiagnosticsResult

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<org.eclipse.lsp4j.Diagnostic>`, `Collection<org.eclipse.lsp4j.Diagnostic>`, `List<org.eclipse.lsp4j.Diagnostic>`, `RandomAccess`

    public class DiagnosticsResult
    extends ArrayList<org.eclipse.lsp4j.Diagnostic>

This class is the result of a diagnostic process. It contains:

- list of diagnostics.
- list of completable future which are not done(ex : download some external resources XSD, DTD). This list of future gives the capability to refresh again the diagnostics once all completable futures are finished (ex : all download are finished).

Author:
  Angelo ZERR
See Also:
  Serialized Form

### Field Summary

Fields
`static DiagnosticsResult` `EMPTY`

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
`DiagnosticsResult​(Map<String,​Object> validationArgs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFuture​(CompletableFuture<?> future)`
`List<CompletableFuture<?>>` `getFutures()` Returns the completable futures used in a diagnostics (ex : completeable future to download external resources XSD, DTD) and an empty list otherwise.
`Map<String,​Object>` `getValidationArgs()` Returns the validation arguments.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll`

### Field Detail

#### EMPTY

    public static final DiagnosticsResult EMPTY

### Constructor Detail

#### DiagnosticsResult

    public DiagnosticsResult​(Map<String,​Object> validationArgs)

### Method Detail

#### getValidationArgs

    public Map<String,​Object> getValidationArgs()

Returns the validation arguments.

Returns:
  the validation arguments.

#### addFuture

    public void addFuture​(CompletableFuture<?> future)

#### getFutures

    public List<CompletableFuture<?>> getFutures()

Returns the completable futures used in a diagnostics (ex : completeable future to download external resources XSD, DTD) and an empty list otherwise.

Returns:
  the completable futures used in a diagnostics (ex : completeable future to download external resources XSD, DTD) and an empty list otherwise.